--势力场景
--势力任务

--脚本号
x105003_g_scriptId=105003
--环任务id MissionRoundConfigId 
x105003_g_missionRoundConfigId = 11
--任务最低等级
x105003_g_MinLevel=160
--事件交互入口
function x105003_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]你也是來找我領取勢力任務的麽？[-]")
	AddNumText(scene,x105003_g_scriptId,"接取任務",-2,0)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x105003_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
		if GetLevel(scene,selfId) >=x105003_g_MinLevel then
		AcceptRoundMission(scene,selfId,x105003_g_missionRoundConfigId)
		else 
			--等级不足
			SendServerTips(scene,selfId,"#{31004}")
		end
	elseif index==1 then
	end
end